diff -uNr OpenEXR-1.2.2/Half/Makefile.in OpenEXR-1.2.2-new/Half/Makefile.in
--- OpenEXR-1.2.2/Half/Makefile.in	2005-03-09 20:29:27.000000000 -0500
+++ OpenEXR-1.2.2-new/Half/Makefile.in	2006-01-22 21:50:26.000000000 -0500
@@ -262,7 +262,7 @@
 	  rm -f "$${dir}/so_locations"; \
 	done
 libHalf.la: $(libHalf_la_OBJECTS) $(libHalf_la_DEPENDENCIES) 
-	$(CXXLINK) -rpath $(libdir) $(libHalf_la_LDFLAGS) $(libHalf_la_OBJECTS) $(libHalf_la_LIBADD) $(LIBS)
+	$(CXXLINK) -rpath $(libdir) $(libHalf_la_LIBADD) $(libHalf_la_OBJECTS) $(libHalf_la_LDFLAGS) $(LIBS)
 
 clean-noinstPROGRAMS:
 	@list='$(noinst_PROGRAMS)'; for p in $$list; do \
@@ -272,10 +272,10 @@
 	done
 eLut$(EXEEXT): $(eLut_OBJECTS) $(eLut_DEPENDENCIES) 
 	@rm -f eLut$(EXEEXT)
-	$(CXXLINK) $(eLut_LDFLAGS) $(eLut_OBJECTS) $(eLut_LDADD) $(LIBS)
+	$(CXXLINK) $(eLut_LDADD) $(eLut_OBJECTS) $(eLut_LDFLAGS) $(LIBS)
 toFloat$(EXEEXT): $(toFloat_OBJECTS) $(toFloat_DEPENDENCIES) 
 	@rm -f toFloat$(EXEEXT)
-	$(CXXLINK) $(toFloat_LDFLAGS) $(toFloat_OBJECTS) $(toFloat_LDADD) $(LIBS)
+	$(CXXLINK) $(toFloat_LDADD) $(toFloat_OBJECTS) $(toFloat_LDFLAGS) $(LIBS)
 
 mostlyclean-compile:
 	-rm -f *.$(OBJEXT) core *.core
diff -uNr OpenEXR-1.2.2/Iex/Makefile.in OpenEXR-1.2.2-new/Iex/Makefile.in
--- OpenEXR-1.2.2/Iex/Makefile.in	2005-03-09 20:29:28.000000000 -0500
+++ OpenEXR-1.2.2-new/Iex/Makefile.in	2006-01-22 21:50:43.000000000 -0500
@@ -240,7 +240,7 @@
 	  rm -f "$${dir}/so_locations"; \
 	done
 libIex.la: $(libIex_la_OBJECTS) $(libIex_la_DEPENDENCIES) 
-	$(CXXLINK) -rpath $(libdir) $(libIex_la_LDFLAGS) $(libIex_la_OBJECTS) $(libIex_la_LIBADD) $(LIBS)
+	$(CXXLINK) -rpath $(libdir) $(libIex_la_LIBADD) $(libIex_la_OBJECTS) $(libIex_la_LDFLAGS) $(LIBS)
 
 mostlyclean-compile:
 	-rm -f *.$(OBJEXT) core *.core
diff -uNr OpenEXR-1.2.2/IlmImf/Makefile.in OpenEXR-1.2.2-new/IlmImf/Makefile.in
--- OpenEXR-1.2.2/IlmImf/Makefile.in	2005-03-09 20:29:28.000000000 -0500
+++ OpenEXR-1.2.2-new/IlmImf/Makefile.in	2006-01-22 21:51:07.000000000 -0500
@@ -390,7 +390,7 @@
 	  rm -f "$${dir}/so_locations"; \
 	done
 libIlmImf.la: $(libIlmImf_la_OBJECTS) $(libIlmImf_la_DEPENDENCIES) 
-	$(CXXLINK) -rpath $(libdir) $(libIlmImf_la_LDFLAGS) $(libIlmImf_la_OBJECTS) $(libIlmImf_la_LIBADD) $(LIBS)
+	$(CXXLINK) -rpath $(libdir) $(libIlmImf_la_LIBADD) $(libIlmImf_la_OBJECTS) $(libIlmImf_la_LDFLAGS) $(LIBS)
 
 mostlyclean-compile:
 	-rm -f *.$(OBJEXT) core *.core
diff -uNr OpenEXR-1.2.2/IlmImfExamples/Makefile.in OpenEXR-1.2.2-new/IlmImfExamples/Makefile.in
--- OpenEXR-1.2.2/IlmImfExamples/Makefile.in	2005-03-09 20:29:28.000000000 -0500
+++ OpenEXR-1.2.2-new/IlmImfExamples/Makefile.in	2006-01-22 21:51:27.000000000 -0500
@@ -247,7 +247,7 @@
 	done
 imfexamples$(EXEEXT): $(imfexamples_OBJECTS) $(imfexamples_DEPENDENCIES) 
 	@rm -f imfexamples$(EXEEXT)
-	$(CXXLINK) $(imfexamples_LDFLAGS) $(imfexamples_OBJECTS) $(imfexamples_LDADD) $(LIBS)
+	$(CXXLINK) $(imfexamples_LDADD) $(imfexamples_OBJECTS) $(imfexamples_LDFLAGS) $(LIBS)
 
 mostlyclean-compile:
 	-rm -f *.$(OBJEXT) core *.core
diff -uNr OpenEXR-1.2.2/Imath/Makefile.in OpenEXR-1.2.2-new/Imath/Makefile.in
--- OpenEXR-1.2.2/Imath/Makefile.in	2005-03-09 20:29:29.000000000 -0500
+++ OpenEXR-1.2.2-new/Imath/Makefile.in	2006-01-22 21:51:44.000000000 -0500
@@ -263,7 +263,7 @@
 	  rm -f "$${dir}/so_locations"; \
 	done
 libImath.la: $(libImath_la_OBJECTS) $(libImath_la_DEPENDENCIES) 
-	$(CXXLINK) -rpath $(libdir) $(libImath_la_LDFLAGS) $(libImath_la_OBJECTS) $(libImath_la_LIBADD) $(LIBS)
+	$(CXXLINK) -rpath $(libdir) $(libImath_la_LIBADD) $(libImath_la_OBJECTS) $(libImath_la_LDFLAGS) $(LIBS)
 
 mostlyclean-compile:
 	-rm -f *.$(OBJEXT) core *.core
diff -uNr OpenEXR-1.2.2/exrdisplay/Makefile.in OpenEXR-1.2.2-new/exrdisplay/Makefile.in
--- OpenEXR-1.2.2/exrdisplay/Makefile.in	2005-03-09 20:29:30.000000000 -0500
+++ OpenEXR-1.2.2-new/exrdisplay/Makefile.in	2006-01-22 21:48:17.000000000 -0500
@@ -267,7 +267,7 @@
 	done
 exrdisplay$(EXEEXT): $(exrdisplay_OBJECTS) $(exrdisplay_DEPENDENCIES) 
 	@rm -f exrdisplay$(EXEEXT)
-	$(CXXLINK) $(exrdisplay_LDFLAGS) $(exrdisplay_OBJECTS) $(exrdisplay_LDADD) $(LIBS)
+	$(CXXLINK) $(exrdisplay_LDADD) $(exrdisplay_LDFLAGS) $(exrdisplay_OBJECTS) $(LIBS)
 
 mostlyclean-compile:
 	-rm -f *.$(OBJEXT) core *.core
diff -uNr OpenEXR-1.2.2/exrenvmap/Makefile.in OpenEXR-1.2.2-new/exrenvmap/Makefile.in
--- OpenEXR-1.2.2/exrenvmap/Makefile.in	2005-03-09 20:29:30.000000000 -0500
+++ OpenEXR-1.2.2-new/exrenvmap/Makefile.in	2006-01-22 21:48:36.000000000 -0500
@@ -255,7 +255,7 @@
 	done
 exrenvmap$(EXEEXT): $(exrenvmap_OBJECTS) $(exrenvmap_DEPENDENCIES) 
 	@rm -f exrenvmap$(EXEEXT)
-	$(CXXLINK) $(exrenvmap_LDFLAGS) $(exrenvmap_OBJECTS) $(exrenvmap_LDADD) $(LIBS)
+	$(CXXLINK) $(exrenvmap_LDADD) $(exrenvmap_LDFLAGS) $(exrenvmap_OBJECTS) $(LIBS)
 
 mostlyclean-compile:
 	-rm -f *.$(OBJEXT) core *.core
diff -uNr OpenEXR-1.2.2/exrheader/Makefile.in OpenEXR-1.2.2-new/exrheader/Makefile.in
--- OpenEXR-1.2.2/exrheader/Makefile.in	2005-03-09 20:29:30.000000000 -0500
+++ OpenEXR-1.2.2-new/exrheader/Makefile.in	2006-01-22 21:48:50.000000000 -0500
@@ -233,7 +233,7 @@
 	done
 exrheader$(EXEEXT): $(exrheader_OBJECTS) $(exrheader_DEPENDENCIES) 
 	@rm -f exrheader$(EXEEXT)
-	$(CXXLINK) $(exrheader_LDFLAGS) $(exrheader_OBJECTS) $(exrheader_LDADD) $(LIBS)
+	$(CXXLINK) $(exrheader_LDADD) $(exrheader_OBJECTS) $(exrheader_LDFLAGS) $(LIBS)
 
 mostlyclean-compile:
 	-rm -f *.$(OBJEXT) core *.core
diff -uNr OpenEXR-1.2.2/exrmakepreview/Makefile.in OpenEXR-1.2.2-new/exrmakepreview/Makefile.in
--- OpenEXR-1.2.2/exrmakepreview/Makefile.in	2005-03-09 20:29:30.000000000 -0500
+++ OpenEXR-1.2.2-new/exrmakepreview/Makefile.in	2006-01-22 21:49:11.000000000 -0500
@@ -246,7 +246,7 @@
 	done
 exrmakepreview$(EXEEXT): $(exrmakepreview_OBJECTS) $(exrmakepreview_DEPENDENCIES) 
 	@rm -f exrmakepreview$(EXEEXT)
-	$(CXXLINK) $(exrmakepreview_LDFLAGS) $(exrmakepreview_OBJECTS) $(exrmakepreview_LDADD) $(LIBS)
+	$(CXXLINK) $(exrmakepreview_LDADD) $(exrmakepreview_OBJECTS) $(exrmakepreview_LDFLAGS) $(LIBS)
 
 mostlyclean-compile:
 	-rm -f *.$(OBJEXT) core *.core
diff -uNr OpenEXR-1.2.2/exrmaketiled/Makefile.in OpenEXR-1.2.2-new/exrmaketiled/Makefile.in
--- OpenEXR-1.2.2/exrmaketiled/Makefile.in	2005-03-09 20:29:30.000000000 -0500
+++ OpenEXR-1.2.2-new/exrmaketiled/Makefile.in	2006-01-22 21:49:28.000000000 -0500
@@ -248,7 +248,7 @@
 	done
 exrmaketiled$(EXEEXT): $(exrmaketiled_OBJECTS) $(exrmaketiled_DEPENDENCIES) 
 	@rm -f exrmaketiled$(EXEEXT)
-	$(CXXLINK) $(exrmaketiled_LDFLAGS) $(exrmaketiled_OBJECTS) $(exrmaketiled_LDADD) $(LIBS)
+	$(CXXLINK) $(exrmaketiled_LDADD) $(exrmaketiled_OBJECTS) $(exrmaketiled_LDFLAGS) $(LIBS)
 
 mostlyclean-compile:
 	-rm -f *.$(OBJEXT) core *.core
diff -uNr OpenEXR-1.2.2/exrstdattr/Makefile.in OpenEXR-1.2.2-new/exrstdattr/Makefile.in
--- OpenEXR-1.2.2/exrstdattr/Makefile.in	2005-03-09 20:29:31.000000000 -0500
+++ OpenEXR-1.2.2-new/exrstdattr/Makefile.in	2006-01-22 21:49:41.000000000 -0500
@@ -233,7 +233,7 @@
 	done
 exrstdattr$(EXEEXT): $(exrstdattr_OBJECTS) $(exrstdattr_DEPENDENCIES) 
 	@rm -f exrstdattr$(EXEEXT)
-	$(CXXLINK) $(exrstdattr_LDFLAGS) $(exrstdattr_OBJECTS) $(exrstdattr_LDADD) $(LIBS)
+	$(CXXLINK) $(exrstdattr_LDADD) $(exrstdattr_OBJECTS) $(exrstdattr_LDFLAGS) $(LIBS)
 
 mostlyclean-compile:
 	-rm -f *.$(OBJEXT) core *.core
--- OpenEXR-1.2.2/exrdisplay/ImageView.cpp	2004-10-28 21:02:18.000000000 -0400
+++ OpenEXR-1.2.2-new/exrdisplay/ImageView.cpp	2007-04-30 16:30:06.000000000 -0400
@@ -54,8 +54,6 @@
 #endif
 #include <windows.h>
 #include <GL/gl.h>
-#elif defined PLATFORM_DARWIN_PPC
-#include <OpenGL/gl.h>
 #else
 #include <GL/gl.h>
 #endif
--- OpenEXR-1.2.2/exrdisplay/ImageViewFragShader.cpp	2004-02-06 05:02:47.000000000 -0500
+++ OpenEXR-1.2.2-new/exrdisplay/ImageViewFragShader.cpp	2007-04-30 16:30:14.000000000 -0400
@@ -46,11 +46,7 @@
 
 #include <ImageViewFragShader.h>
 
-#if defined PLATFORM_DARWIN_PPC
-#include <OpenGL/glu.h>
-#else
 #include <GL/glu.h>
-#endif
 #define GLH_EXT_SINGLE_FILE
 #include <glh/glh_extensions.h>
 
--- OpenEXR-1.2.2/exrdisplay/ImageViewFragShader.h	2004-10-28 21:02:18.000000000 -0400
+++ OpenEXR-1.2.2-new/exrdisplay/ImageViewFragShader.h	2007-04-30 16:30:22.000000000 -0400
@@ -48,11 +48,7 @@
 #if defined PLATFORM_WINDOWS
 #include <windows.h>
 #endif
-#if defined PLATFORM_DARWIN_PPC
-#include <OpenGL/gl.h>
-#else
 #include <GL/gl.h>
-#endif
 
 #include <string>
 
